% simpleiandf_input

E_L=-65;    % mV
V_res=E_L; 
V_th=-50;   % mV
tau_m=10;   % ms
R_m=10;     % megaohm

% tau_m dV/dt = E_L - V +RmIe
% An oversimplified aproximation:
% V(t)-V(t-1) = (1/tau_m) * [E_L - V(t-1) + R_m I_e]

n=1000;       % number of time points
dt=0.1;       % ms integration time step 

% SOME POSSIBLE INPUT CURRENTS
%I_e=2*ones(n,1);       % nA  CONSTANT CURRENT
%I_e=1*ones(n,1);       % nA  CONSTANT CURRENT, DOES NOT REACH THRESHOLD
%I_e=5*sin([1:n]/20)+3; % nA  SINUSOIDAL INPUT CURRENT
I_e=2+3*randn(n,1);     % nA  WHITE NOISE

[V,spk]=simpleiandf(E_L,V_res,V_th,tau_m,R_m,I_e,dt,n);
simpleiand_plot(n,dt,I_e,V,spk);
